datacache <- new.env(hash=TRUE, parent=emptyenv())

u133x3phsug <- function() showQCData("u133x3phsug", datacache)
u133x3phsug_dbconn <- function() dbconn(datacache)
u133x3phsug_dbfile <- function() dbfile(datacache)
u133x3phsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
u133x3phsug_dbInfo <- function() dbInfo(datacache)

u133x3phsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "u133x3phsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "u133x3phsug", "chip u133x3phsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("u133x3phsug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(u133x3phsug_dbconn())
}

