\name{u133x3phsugMAPCOUNTS} 

\alias{u133x3phsugMAPCOUNTS}


\title{Number of mapped keys for the maps in package u133x3phsug.db}

\description{
  u133x3phsugMAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package u133x3phsug.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  u133x3phsugMAPCOUNTS
  mapnames <- names(u133x3phsugMAPCOUNTS)
  u133x3phsugMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package u133x3phsug.db
  checkMAPCOUNTS("u133x3phsug.db")
}

\keyword{datasets}

